Filter Items Using GET

Filter Items Using GET

Lists filter entries for a filter

Request
URI
GET
https://{api_host}//cava-s-182-041.eng.vmware.com/content/api/marketplace/sources/{sourceId}/filters/{filterId}
COPY
Path Parameters
string
filterId
Required

Filter type

string
sourceId
Required

Content Source Id

Query Parameters
string
apiVersion
Optional

The version of the API in yyyy-MM-dd format (UTC). For versioning information, please refer to /content/api/about

string
name
Optional

Filters items by name


Responses
200

Filter entries

Returns MarketplaceFilterEntries of type(s) application/json
{
    "_embedded": [
        {
            "count": 0,
            "id": "string",
            "name": "string"
        }
    ],
    "_links": [
        {
            "deprecation": "string",
            "href": "string",
            "hreflang": "string",
            "media": "string",
            "rel": "string",
            "templated": false,
            "title": "string",
            "type": "string"
        }
    ],
    "page": {
        "number": 0,
        "size": 0,
        "totalElements": 0,
        "totalPages": 0
    }
}
_embedded
Optional

_embedded

array of Link
_links
Optional

_links

page
Optional

page


404

Source or Filter not found

Operation doesn't return any data structure